Subject: [imss] Re: Submitting updated I-D's - draft-ietf-imss-fc-nsm-mib-04.txt (fwd)

From: Keith McCloghrie <[email-masked]>
Date: Mon, 21 Nov 2005 09:55:09 -0800 (PST)

Hi,

The review of the FC Name Server MIB by a MIB Doctor (Orly Nicklass)
and our Area Director (Bert Wijnen) raised a number of minor issues.
The most significant was this clarification:

> > ftp://ftpeng.cisco.com/ftp/kzm/draft-ietf-imss-fc-nsm-mib-04.txt
> > 
> > - smicng says:
> >     E: f(fcnsm.mi2), (693,13) Index item "t11NsRegFc4TypeValue"
> >     must be defined with syntax that includes a range
> > 
> >   So are all possible values of an Unsigned32 valid? Even then 
> >   it is easy to include a range. I think I understand why zero
> >   is a valid (index) value. You may add a few words about that too.
>  
> I had to do some research to check the answer to this, and I've 
> included the results of my research in the updated definition:
> 
>   t11NsRegFc4TypeValue OBJECT-TYPE
>       SYNTAX          Unsigned32 (0..255)
>       MAX-ACCESS      not-accessible
>       STATUS          current
>       DESCRIPTION
>              "An integer value which identifies an FC-4 TYPE value
>              (representing a particular protocol type, as specified
>              in FC-FS) for which an FC-4 Descriptor has been
>              registered.
> 
>              An instance of this object contains a 'Type value'
>              which corresponds to a '1' bit in the value of the
>              t11NsRegFc4Type registered for the same port;
>              this correspondence is as specified in FC-GS-4."
>       REFERENCE
>              "ANSI INCITS 387-2004, Fibre Channel - Generic
>                 Services-4 (FC-GS-4), section 5.2.3.8, and
>              ANSI INCITS 373-2003, Fibre Channel - Framing and
>                 Signaling (FC-FS), section 9.6, Table 29."
>       ::= { t11NsRegFc4DescriptorEntry 1 }

The updated document is at

  ftp://ftpeng.cisco.com/ftp/kzm/draft-ietf-imss-fc-nsm-mib-04.txt
 
I plan to submit as an updated I-D in a few days.

Thanks to Orly and Bert for their reviews,

Keith.

_______________________________________________
imss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/imss